From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ruby-ldap/
Date: Sun, 14 Nov 2021 09:15:20 +0000 (UTC) [thread overview]
Message-ID: <1636881317.50aefa43af876ab27fbbb4f988e1b7ca40ecc724.graaff@gentoo> (raw)
commit: 50aefa43af876ab27fbbb4f988e1b7ca40ecc724
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 7 08:44:21 2021 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Nov 14 09:15:17 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50aefa43
dev-ruby/ruby-ldap: EAPI 8; add ruby30; fix extension install
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/ruby-ldap/ruby-ldap-0.9.20-r1.ebuild | 34 +++++++++++++++++++++++++++
1 file changed, 34 insertions(+)
diff --git a/dev-ruby/ruby-ldap/ruby-ldap-0.9.20-r1.ebuild b/dev-ruby/ruby-ldap/ruby-ldap-0.9.20-r1.ebuild
new file mode 100644
index 000000000000..a195fa0f2b51
--- /dev/null
+++ b/dev-ruby/ruby-ldap/ruby-ldap-0.9.20-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+inherit ruby-fakegem
+
+RUBY_FAKEGEM_TASK_TEST=""
+RUBY_FAKEGEM_EXTENSIONS=(./extconf.rb)
+RUBY_FAKEGEM_EXTRADOC="ChangeLog FAQ NOTES README TODO"
+
+DESCRIPTION="A Ruby interface to some LDAP libraries"
+HOMEPAGE="https://github.com/bearded/ruby-ldap"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="ssl"
+DEPEND=">=net-nds/openldap-2
+ dev-libs/cyrus-sasl
+ ssl? ( dev-libs/openssl:0 )"
+RDEPEND="${DEPEND}"
+
+# Current test set is interactive due to certificate generation and requires
+# running LDAP daemon
+RESTRICT="test"
+
+each_ruby_configure() {
+ local myconf="--with-openldap2"
+ if ! use ssl ; then
+ myconf="${myconf} --without-libcrypto --without-libssl"
+ fi
+ RUBY_FAKEGEM_EXTENSION_OPTIONS=${myconf} each_fakegem_configure
+}
next reply other threads:[~2021-11-14 9:15 UTC|newest]
Thread overview: 40+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-11-14 9:15 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-31 11:39 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ruby-ldap/ Hans de Graaff
2023-12-27 12:26 Hans de Graaff
2023-12-09 8:28 Hans de Graaff
2023-12-06 15:30 Arthur Zamarin
2023-12-06 11:42 Sam James
2023-12-06 10:42 Hans de Graaff
2023-09-15 10:09 Hans de Graaff
2022-11-01 9:48 Yixun Lan
2022-06-24 7:25 Hans de Graaff
2022-04-24 7:06 Hans de Graaff
2022-03-24 6:09 Hans de Graaff
2022-03-23 1:02 Sam James
2022-01-26 18:40 Fabian Groffen
2020-06-20 5:41 Hans de Graaff
2020-06-19 6:40 Sergei Trofimovich
2020-06-14 20:19 Sergei Trofimovich
2020-01-16 6:52 Hans de Graaff
2019-02-14 7:19 Sergei Trofimovich
2019-01-13 8:29 Hans de Graaff
2018-07-12 4:39 Hans de Graaff
2018-06-20 5:49 Hans de Graaff
2018-02-10 7:42 Hans de Graaff
2017-12-02 6:30 Hans de Graaff
2017-10-14 21:53 Sergei Trofimovich
2017-09-04 7:30 Tobias Klausmann
2017-08-30 18:13 Fabian Groffen
2017-08-29 21:39 Thomas Deutschmann
2017-08-26 12:09 Mikle Kolyada
2017-07-31 22:35 Sergei Trofimovich
2017-07-31 5:32 Hans de Graaff
2017-06-29 5:57 Hans de Graaff
2016-10-02 17:56 Hans de Graaff
2016-10-02 8:59 Jeroen Roovers
2016-06-21 5:09 Hans de Graaff
2016-05-26 5:24 Hans de Graaff
2016-03-05 7:40 Hans de Graaff
2015-12-14 14:12 Agostino Sarubbo
2015-10-03 9:12 Hans de Graaff
2015-10-03 9:12 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1636881317.50aefa43af876ab27fbbb4f988e1b7ca40ecc724.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox